## csst_proto 
 
CSST 流水线原型，用于展示示例代码。

## dependency

- numpy==1.23.3
- scipy==1.9.2
- joblib==1.2.0
- astropy==5.1
- pytest==7.2.1
- coverage==7.2.1
- toml==0.10.2

## installation

`csst_proto` can be installed with the following shell command

```bash
git clone https://csst-tb.bao.ac.cn/code/csst-l1/csst_proto.git
cd csst_proto
pip install -r requirements.txt
python setup.py install
```

or a single-line command (the requirements are not installed automatically)

```bash
sh -c "$(curl -fsSL https://csst-tb.bao.ac.cn/code/csst-l1/csst_proto/-/raw/main/install.sh)"
```

## tutorial

A simple example on how to use this package:

```python
from csst_proto import flip_image
from astropy.io import fits

# read an L0 image
img = fits.getdata("CSST_MS_SCI_06_L0_img.fits")
# flip the image
img_flipped = flip_image(image=img)
```

## algorithm description

The `csst_proto` uses an awesome algorithm based on `numpy.ndarray` indices to flip images.
